Chapter 31. IntegrationHealthService
31.1. GetDeclarativeConfigs Copy linkLink copied to clipboard!
GET /v1/integrationhealth/declarativeconfigs
31.1.1. Description Copy linkLink copied to clipboard!
31.1.2. Parameters Copy linkLink copied to clipboard!
31.1.3. Return Type Copy linkLink copied to clipboard!
31.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
31.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
31.1.6. Samples Copy linkLink copied to clipboard!
31.1.7. Common object reference Copy linkLink copied to clipboard!
31.1.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
31.1.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
31.1.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
31.1.7.3. StorageIntegrationHealth Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | UNKNOWN, IMAGE_INTEGRATION, NOTIFIER, BACKUP, DECLARATIVE_CONFIG, | ||||
| status | UNINITIALIZED, UNHEALTHY, HEALTHY, | ||||
| errorMessage | String | ||||
| lastTimestamp | Date | date-time |
31.1.7.4. StorageIntegrationHealthStatus Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNINITIALIZED |
| UNHEALTHY |
| HEALTHY |
31.1.7.5. StorageIntegrationHealthType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| IMAGE_INTEGRATION |
| NOTIFIER |
| BACKUP |
| DECLARATIVE_CONFIG |
31.1.7.6. V1GetIntegrationHealthResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| integrationHealth | List of StorageIntegrationHealth |
31.2. GetBackupPlugins Copy linkLink copied to clipboard!
GET /v1/integrationhealth/externalbackups
31.2.1. Description Copy linkLink copied to clipboard!
31.2.2. Parameters Copy linkLink copied to clipboard!
31.2.3. Return Type Copy linkLink copied to clipboard!
31.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
31.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
31.2.6. Samples Copy linkLink copied to clipboard!
31.2.7. Common object reference Copy linkLink copied to clipboard!
31.2.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
31.2.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
31.2.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
31.2.7.3. StorageIntegrationHealth Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | UNKNOWN, IMAGE_INTEGRATION, NOTIFIER, BACKUP, DECLARATIVE_CONFIG, | ||||
| status | UNINITIALIZED, UNHEALTHY, HEALTHY, | ||||
| errorMessage | String | ||||
| lastTimestamp | Date | date-time |
31.2.7.4. StorageIntegrationHealthStatus Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNINITIALIZED |
| UNHEALTHY |
| HEALTHY |
31.2.7.5. StorageIntegrationHealthType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| IMAGE_INTEGRATION |
| NOTIFIER |
| BACKUP |
| DECLARATIVE_CONFIG |
31.2.7.6. V1GetIntegrationHealthResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| integrationHealth | List of StorageIntegrationHealth |
31.3. GetImageIntegrations Copy linkLink copied to clipboard!
GET /v1/integrationhealth/imageintegrations
31.3.1. Description Copy linkLink copied to clipboard!
31.3.2. Parameters Copy linkLink copied to clipboard!
31.3.3. Return Type Copy linkLink copied to clipboard!
31.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
31.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
31.3.6. Samples Copy linkLink copied to clipboard!
31.3.7. Common object reference Copy linkLink copied to clipboard!
31.3.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
31.3.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
31.3.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
31.3.7.3. StorageIntegrationHealth Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | UNKNOWN, IMAGE_INTEGRATION, NOTIFIER, BACKUP, DECLARATIVE_CONFIG, | ||||
| status | UNINITIALIZED, UNHEALTHY, HEALTHY, | ||||
| errorMessage | String | ||||
| lastTimestamp | Date | date-time |
31.3.7.4. StorageIntegrationHealthStatus Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNINITIALIZED |
| UNHEALTHY |
| HEALTHY |
31.3.7.5. StorageIntegrationHealthType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| IMAGE_INTEGRATION |
| NOTIFIER |
| BACKUP |
| DECLARATIVE_CONFIG |
31.3.7.6. V1GetIntegrationHealthResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| integrationHealth | List of StorageIntegrationHealth |
31.4. GetNotifiers Copy linkLink copied to clipboard!
GET /v1/integrationhealth/notifiers
31.4.1. Description Copy linkLink copied to clipboard!
31.4.2. Parameters Copy linkLink copied to clipboard!
31.4.3. Return Type Copy linkLink copied to clipboard!
31.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
31.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
31.4.6. Samples Copy linkLink copied to clipboard!
31.4.7. Common object reference Copy linkLink copied to clipboard!
31.4.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
31.4.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
31.4.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
31.4.7.3. StorageIntegrationHealth Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| type | UNKNOWN, IMAGE_INTEGRATION, NOTIFIER, BACKUP, DECLARATIVE_CONFIG, | ||||
| status | UNINITIALIZED, UNHEALTHY, HEALTHY, | ||||
| errorMessage | String | ||||
| lastTimestamp | Date | date-time |
31.4.7.4. StorageIntegrationHealthStatus Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNINITIALIZED |
| UNHEALTHY |
| HEALTHY |
31.4.7.5. StorageIntegrationHealthType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| IMAGE_INTEGRATION |
| NOTIFIER |
| BACKUP |
| DECLARATIVE_CONFIG |
31.4.7.6. V1GetIntegrationHealthResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| integrationHealth | List of StorageIntegrationHealth |
31.5. GetVulnDefinitionsInfo Copy linkLink copied to clipboard!
GET /v1/integrationhealth/vulndefinitions
31.5.1. Description Copy linkLink copied to clipboard!
31.5.2. Parameters Copy linkLink copied to clipboard!
31.5.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| component | - | SCANNER |
31.5.3. Return Type Copy linkLink copied to clipboard!
31.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
31.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
31.5.6. Samples Copy linkLink copied to clipboard!
31.5.7. Common object reference Copy linkLink copied to clipboard!
31.5.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
31.5.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
31.5.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
31.5.7.3. V1VulnDefinitionsInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| lastUpdatedTimestamp | Date | date-time |